Как реализовать для тегов html5 поддержку ie8 и ниже?

Эту заметку пишу скорее для самого себя, но и вам она будет полезна, если вы хотите добавить тегам html5 поддержку в ie8-ie6, ведь по умолчанию старые версии internet explorer не поддерживает все теги этой новой версии языка разметки. В частности, header, footer, aside и другие.

Так вот, что реализовать поддержку, нужно добавить в пределах тега head вашего html-документа следующие строчки:

<!-- [if lt IE 9]>
<script src = "http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->

Все, теперь эти теги будут отображаться и поддерживаться в старых версиях IE!

Комментариев: 1
  1. Валерий

    Очень коротко и ясно. Спасибо Михаил!

Добавить комментарий

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: